Bug 1295200 - [abrt] konsole5: xcb_setup_vendor_end(): konsole killed by SIGSEGV
[abrt] konsole5: xcb_setup_vendor_end(): konsole killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konsole5 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b58b2a813ae760b2cb94a20077d...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 08:34 EST by Fabio Correa
Modified: 2016-12-20 12:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:34:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.54 KB, text/plain)
2016-01-03 08:34 EST, Fabio Correa
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-03 08:34 EST, Fabio Correa
no flags Details
File: core_backtrace (9.09 KB, text/plain)
2016-01-03 08:34 EST, Fabio Correa
no flags Details
File: dso_list (19.66 KB, text/plain)
2016-01-03 08:34 EST, Fabio Correa
no flags Details
File: environ (1.88 KB, text/plain)
2016-01-03 08:34 EST, Fabio Correa
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-03 08:34 EST, Fabio Correa
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-03 08:34 EST, Fabio Correa
no flags Details
File: maps (91.65 KB, text/plain)
2016-01-03 08:35 EST, Fabio Correa
no flags Details
File: mountinfo (3.01 KB, text/plain)
2016-01-03 08:35 EST, Fabio Correa
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-03 08:35 EST, Fabio Correa
no flags Details
File: open_fds (1.52 KB, text/plain)
2016-01-03 08:35 EST, Fabio Correa
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-01-03 08:35 EST, Fabio Correa
no flags Details
File: var_log_messages (296 bytes, text/plain)
2016-01-03 08:35 EST, Fabio Correa
no flags Details

  None (edit)
Description Fabio Correa 2016-01-03 08:34:45 EST
Version-Release number of selected component:
konsole5-15.08.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/konsole
crash_function: xcb_setup_vendor_end
executable:     /usr/bin/konsole
global_pid:     18794
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xcb_setup_vendor_end at xproto.c:869
 #1 xcb_setup_pixmap_formats at xproto.c:878
 #2 find_format_by_depth at xcb_image.c:46
 #3 xcb_image_native at xcb_image.c:388
 #4 xcb_image_shm_put at xcb_image.c:484
 #5 QXcbShmImage::put at qxcbbackingstore.cpp:227
 #6 QXcbBackingStore::flush at qxcbbackingstore.cpp:402
 #7 QBackingStore::flush at painting/qbackingstore.cpp:105
 #8 QWidgetBackingStore::qt_flush at kernel/qwidgetbackingstore.cpp:118
 #9 QWidgetBackingStore::flush at kernel/qwidgetbackingstore.cpp:1241
Comment 1 Fabio Correa 2016-01-03 08:34:51 EST
Created attachment 1111154 [details]
File: backtrace
Comment 2 Fabio Correa 2016-01-03 08:34:52 EST
Created attachment 1111155 [details]
File: cgroup
Comment 3 Fabio Correa 2016-01-03 08:34:54 EST
Created attachment 1111156 [details]
File: core_backtrace
Comment 4 Fabio Correa 2016-01-03 08:34:55 EST
Created attachment 1111157 [details]
File: dso_list
Comment 5 Fabio Correa 2016-01-03 08:34:56 EST
Created attachment 1111158 [details]
File: environ
Comment 6 Fabio Correa 2016-01-03 08:34:57 EST
Created attachment 1111159 [details]
File: exploitable
Comment 7 Fabio Correa 2016-01-03 08:34:58 EST
Created attachment 1111160 [details]
File: limits
Comment 8 Fabio Correa 2016-01-03 08:35:00 EST
Created attachment 1111161 [details]
File: maps
Comment 9 Fabio Correa 2016-01-03 08:35:02 EST
Created attachment 1111162 [details]
File: mountinfo
Comment 10 Fabio Correa 2016-01-03 08:35:03 EST
Created attachment 1111163 [details]
File: namespaces
Comment 11 Fabio Correa 2016-01-03 08:35:04 EST
Created attachment 1111164 [details]
File: open_fds
Comment 12 Fabio Correa 2016-01-03 08:35:05 EST
Created attachment 1111165 [details]
File: proc_pid_status
Comment 13 Fabio Correa 2016-01-03 08:35:07 EST
Created attachment 1111166 [details]
File: var_log_messages
Comment 14 Fabio Correa 2016-01-22 09:30:01 EST
This problem has not occurred again since I reported it. I am certain that a bugfix for Fedora 23 has fixed this bug as well. I will not try to identify that solution.

Thanks for the hard work to develop a stable Linux distribution.
Comment 15 Christian Stadelmann 2016-01-22 10:38:23 EST
I ran into this issue just one week ago and there hasn't been any update to konsole or any other kf5 or qt5 related piece of software. I doubt this issue is gone thus this bug report probably should stay open.
Comment 16 Fabio Correa 2016-01-22 10:46:02 EST
I had forgotten to check the bug history. Thanks Christian. Reopening.
Comment 17 Fabio Correa 2016-02-20 16:22:43 EST
Similar problem has been detected:

My entire KDE session crashed after hours of normal use with konsole, Chrome, LibreOffice. Nothing exotic.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/konsole
crash_function: xcb_setup_vendor_end
executable:     /usr/bin/konsole
global_pid:     6805
kernel:         4.3.5-300.fc23.x86_64
package:        konsole5-15.12.1-2.fc23
reason:         konsole killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2016-11-24 09:40:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 12:34:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.